Subject: Re: [PATCH v8 2/4] format-patch: add ability to use alt cover format

From: Junio C Hamano <[email-masked]>
Date: Fri, 13 Mar 2026 13:22:50 -0700

Mirko Faina <[email-masked]> writes:

> On Fri, Mar 13, 2026 at 10:20:48AM -0700, Junio C Hamano wrote:
>> I do not mind a sort of DWIM similar to "log --pretty=format:%s";
>> technically, "git log --prefix" requires the "format:" prefix when
>> using a custom format (i.e., not the canned "short", "fuller", etc.)
>> but we DWIM when the string appears to use %-interpolation.
>
> Then we can move towards keeping the "log:" prefix but
> allowing for it to be dropped when %-interpolation occurs, just like
> --pretty does.

Yes.  I vewi the DWIM as icing on the case, though.  IOW, the
feature is perfectly fine to require "log:" and still move forward,
and it would be nice if people can say "--pretty=%s" without it.

But that DWIM is "it would be nice if this is added".